php-symfony-polyfill (1.41.0-2) unstable; urgency=medium

  * Skip another failing test on 32-bit architecture

 -- David Prévot <taffit@debian.org>  Tue, 04 Aug 2026 01:22:35 +0200

php-symfony-polyfill (1.41.0-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * [Php83][Php85][Grapheme] Throw ValueError on PHP 7 for functions that
    never returned false
  * [Php74] Align mb_str_split() polyfill with Mbstring and native
  * [IoPoll] Polyfill the Io\Poll API
  * [Grapheme] Reject out-of-range offsets in the grapheme_str[ri]?pos() family

  [ David Prévot ]
  * Add new php-symfony-polyfill-io-poll binary package

 -- David Prévot <taffit@debian.org>  Sun, 02 Aug 2026 19:37:44 +0200

php-symfony-polyfill (1.40.0-2) unstable; urgency=medium

  * Mark recent tests as incompatible with PHPUnit from testing
  * Drop another test failing on 32-bit architectures

 -- David Prévot <taffit@debian.org>  Thu, 18 Jun 2026 07:00:43 +0200

php-symfony-polyfill (1.40.0-1) unstable; urgency=medium

  [ Gordon P. Hemsley ]
  * [Mbstring][Php3] Fix issues with mb_str_pad()
  * [Mbstring] Fix issues with mb_scrub()

  [ Nicolas Grekas ]
  * [DeepClone] Fix cloning objects with numeric property names
  * [DeepClone] Reject malformed deepclone_from_array() input without warnings
  * [DeepClone] Fix round-tripping and hydrating BcMath\Number
  * [DeepClone] Fix round-tripping objects whose __serialize()
    nests another object
  * [DeepClone] Reject from_array payloads that would build an
    uninitialized object
  * [DeepClone] Fix round-tripping short-lived Random\Randomizer
    instances on PHP 8.2
  * [DeepClone] Support closures declared in constant expressions
  * [DeepClone] Gate closures over named callables behind an
    allow_named_closures option
  * [DeepClone] Suggest the extension when refusing a named callable,
    and decode its global-function references

 -- David Prévot <taffit@debian.org>  Sat, 13 Jun 2026 08:07:50 +0200

php-symfony-polyfill (1.38.1-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * [Intl][Idn] Reject xn-- labels whose Punycode payload decodes to ASCII-only
    [CVE-2026-46644]
  * Update changelog for v1.38.1

 -- David Prévot <taffit@debian.org>  Tue, 26 May 2026 23:08:18 +0200

php-symfony-polyfill (1.37.0-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * Update changelog for v1.37

  [ PhilDaiguille ]
  * [RFC] Add grapheme_strrev function php 8.6

  [ Christian Flothmann ]
  * do not register the locale_is_right_to_left() function without the intl
    extension

  [ David Prévot ]
  * Update php-symfony-polyfill-php86 description
  * Exclude currently failing testGraphemeStrrevInvalidUtf8

 -- David Prévot <taffit@debian.org>  Mon, 27 Apr 2026 18:21:55 +0200

php-symfony-polyfill (1.36.0-1) unstable; urgency=medium

  [ Daniel Scherzer ]
  * [8.5] Add polyfill for DelayedTargetValidation

  [ Nicolas Grekas ]
  * Add polyfill for symfony/php-ext-deepclone
  * Fix registering Php86 polyfill
  * Update changelog

  [ Jesper Noordsij ]
  * Add polyfill for PDO driver specific subclasses

  [ Thomas Durand ]
  * [8.4] implement bcround, bcceil and bcfloor

  [ Jordi Boggiano ]
  * Fix PHP 7.2 compatibility for PHP 8.4 polyfill

  [ Ayesh Karunaratne ]
  * [PHP 8.5] Add new `\Filter\FilterException` and `Filter\FilterFailedException`
  * [Intl] Add PHP 8.5 `IntlListFormatter` to ICU polyfill
  * [PHP 8.1] Add SortDirection enum

  [ Sudam Ranasinghe ]
  * Add the grapheme_levenshtein polyfill

  [ Alexander Schranz ]
  * Add locale_is_right_to_left polyfill

  [ David Prévot ]
  * Use GitHub template in watch file instead of explicit
    Source/Matching-Pattern
  * Update standards version to 4.7.4
  * Add new php-symfony-polyfill-deepclone and php-symfony-polyfill-php86
    packages
  * Generate phpab templates at build time
  * Adapt phpab call for latest php-symfony-polyfill-php84
  * Build-Depend on php-tidy, php-sqlite3 and php-mongodb
  * Update mimicked path at build time

 -- David Prévot <taffit@debian.org>  Sun, 19 Apr 2026 10:46:55 +0200

php-symfony-polyfill (1.33.0-6) unstable; urgency=medium

  * Comment away currently failing data with libicu78 (Closes: #1129890)

 -- David Prévot <taffit@debian.org>  Fri, 06 Mar 2026 07:24:42 +0100

php-symfony-polyfill (1.33.0-5) unstable; urgency=medium

  * [Intl] Update data to ICU 78.2
  * Expect php-symfony-intl (>= 7.4.6) for autopkgtest

 -- David Prévot <taffit@debian.org>  Sat, 28 Feb 2026 08:31:28 +0100

php-symfony-polyfill (1.33.0-4) unstable; urgency=medium

  * Compatibility with recent PHPUnit (13)
  * Convert d/watch to version 5
  * Update Standards-Version to 4.7.3

 -- David Prévot <taffit@debian.org>  Sat, 07 Feb 2026 11:53:22 +0100

php-symfony-polyfill (1.33.0-3) unstable; urgency=medium

  * [Intl] Update data to ICU 78.1
  * Expect php-symfony-intl (>= 7.4.0) for autopkgtest
  * debian/control: Document nocheck flag

 -- David Prévot <taffit@debian.org>  Fri, 05 Dec 2025 12:06:38 +0100

php-symfony-polyfill (1.33.0-2) unstable; urgency=medium

  * Drop tests failing on 32-bit architectures

 -- David Prévot <taffit@debian.org>  Sun, 24 Aug 2025 23:30:04 +0200

php-symfony-polyfill (1.33.0-1) unstable; urgency=medium

  * Upload to unstable now that Trixie has been released

  [ Ayesh Karunaratne ]
  * [PHP 8.5] Add `array_first` and `array_last`
  * [PHP 8.4][Intl] Add `grapheme_str_split`

  [ Alexandre Daubois ]
  * [PHP 8.4] Add `bcdivmod`

  [ Daniel Scherzer ]
  * [8.4] Add polyfill for `ReflectionConstant`

  [ Nicolas Grekas ]
  * Update CHANGELOG

  [ Ion Bazan ]
  * Fix json_validate edge case

  [ David Prévot ]
  * Update descriptions
  * Remove Rules-Requires-Root
  * Use autoloader in autopkgtest too
  * Use php-bcmath for tests

 -- David Prévot <taffit@debian.org>  Thu, 21 Aug 2025 08:12:48 +0200

php-symfony-polyfill (1.32.0-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Nicolas Grekas ]
  * Remove src/Php72
  * Update CHANGELOG

  [ Christian Flothmann ]
  * add Caribbean guilder to the list of currencies

  [ nsfisis ]
  * mbstring: Fix mb_rtrim() for UTF-8 text

  [ Christophe Coevoet ]
  * Polyfill `fpow`
  * Add Zimbabwean Gold to the list of currencies

  [ Jorrit Schippers ]
  * Php84/README.md: add mb_trim, mb_ltrim and mb_rtrim

  [ Chris Smith ]
  * Fix constants being redefined in PHP 8.4 polyfill

  [ Pierre Ambroise ]
  * Add `get_*_handler` polyfills

  [ Andrew Menino-Barlow ]
  * Add #[NoDiscard] to the PHP 8.5 polyfill

  [ David Prévot ]
  * Drop php-symfony-polyfill-php72
  * Update php-symfony-polyfill-php84 description
  * New php-symfony-polyfill-php85 package
  * Update Standards-Version to 4.7.2
  * Use an autoloader for tests
  * Comment away currently failing data

 -- David Prévot <taffit@debian.org>  Sun, 04 May 2025 15:48:19 +0200

php-symfony-polyfill (1.31.0-5) unstable; urgency=medium

  * Use php-apcu and php-curl for tests
  * Use RequiresPhpunit instead of a group
  * Update Standards-Version to 4.7.1

 -- David Prévot <taffit@debian.org>  Mon, 24 Feb 2025 21:19:16 +0100

php-symfony-polyfill (1.31.0-4) unstable; urgency=medium

  * Use php-odbc for tests
  * Modernize PHPUnit syntax

 -- David Prévot <taffit@debian.org>  Mon, 17 Feb 2025 13:13:26 +0100

php-symfony-polyfill (1.31.0-3) unstable; urgency=medium

  * Drop test failing with PHPUnit 11 (Closes: #1039837)
  * Force recent symfony for debci

 -- David Prévot <taffit@debian.org>  Sat, 12 Oct 2024 10:38:42 +0100

php-symfony-polyfill (1.31.0-2) unstable; urgency=medium

  * Add Caribbean guilder to the list of currencies (Closes: #1084316)

 -- David Prévot <taffit@debian.org>  Thu, 10 Oct 2024 14:31:19 +0100

php-symfony-polyfill (1.31.0-1) unstable; urgency=medium

  [ Fan2Shrek ]
  * Mb trim functions

  [ Nicolas Grekas ]
  * Bump to PHP 7.2
  * Update CHANGELOG

  [ Ayesh Karunaratne ]
  * [PHP 8.4] Add `CURL_HTTP_VERSION_3(ONLY)` constants

  [ David Prévot ]
  * Adapt packaging to removed php-symfony-polyfill-xml
  * Update php-symfony-polyfill-php84 package description

 -- David Prévot <taffit@debian.org>  Wed, 11 Sep 2024 23:44:21 +0200

php-symfony-polyfill (1.30.0-1) unstable; urgency=medium

  [ Matteo Beccati ]
  * Update nullable types for PHP 8.4

  [ Ayesh Karunaratne ]
  * [mbstring][PHP 8.4] Add `mb_ucfirst` and `mb_lcfirst` to polyfills

  [ Trevor Rowbotham ]
  * Conform to IDNA version 15.1.0 revision 31

  [ USAMI Kenta ]
  * Add Mbstring::assertEncoding()

  [ Mitchell Dzurick ]
  * d/pkg-php-tools-autoloaders: fix typo php83->php84 (Closes: #1069311)

  [ Nicolas Grekas ]
  * Add `#[Deprecated]` to the PHP 8.4 polyfill
  * Update CHANGELOG

  [ joshuaruesweg ]
  * Add PHP 8.4 `array_*` polyfill

  [ David Prévot ]
  * php-symfony-polyfill-php83: Update homemade autoload
  * Update Standards-Version to 4.7.0
  * Update php-symfony-polyfill-php84 description

 -- David Prévot <taffit@debian.org>  Tue, 09 Jul 2024 08:52:02 +0200

php-symfony-polyfill (1.29.0-3) unstable; urgency=medium

  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Tue, 05 Mar 2024 17:27:42 +0100

php-symfony-polyfill (1.29.0-2) unstable; urgency=medium

  * Drop some tests failing on 32-bit architectures

 -- David Prévot <taffit@debian.org>  Wed, 07 Feb 2024 08:40:17 +0100

php-symfony-polyfill (1.29.0-1) unstable; urgency=medium

  [ Tim Düsterhus ]
  * Fix the `ini_parse_quantity()` polyfill

  [ Nicolas Grekas ]
  * Update CHANGELOG

  [ Ayesh Karunaratne ]
  * [PHP 8.3] Add `SQLite3Exception` class
  * [PHP 8.4] Add initial stubs

  [ Fan2Shrek ]
  * Add str_increment and str_decrement functions

  [ David Prévot ]
  * Drop incompatible option with PHPUnit 10
  * Drop versioned build-dependencies
  * Update copyright (years)
  * New php-symfony-polyfill-php84 package

 -- David Prévot <taffit@debian.org>  Wed, 31 Jan 2024 00:07:43 +0100

php-symfony-polyfill (1.28.0-1) unstable; urgency=medium

  [ Ion Bazan ]
  * Use static data providers
  * [PHP 8.3] Add `#[\Override]` attribute
  * [PHP 8.3] Polyfill mb_str_pad()
  * [PHP 8.3] Polyfill new non-overloaded variants of functions

  [ Ayesh Karunaratne ]
  * [PHP 8.1] Add `CURLStringFile` polyfill
  * [PHP 8.3] Add Exception/Error classes for `Date/Time` extension

  [ Nicolas Grekas ]
  * Update CHANGELOG

  [ Jérémy Romey ]
  * add mb_check_encoding with array value

  [ Michael Babker ]
  * Update return type for `IntlDateFormatter::format()`

  [ Alexander M. Turek ]
  * Add odbc_connection_string_*() functions

  [ Alexandre Daubois ]
  * Add case folding map

  [ Greg Roach ]
  * Add polyfill for ini_parse_quantity based on the C code in PHP

  [ David Prévot ]
  * Update packages description

 -- David Prévot <taffit@debian.org>  Sun, 03 Sep 2023 02:38:57 +0530

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog php-symfony-polyfill-mbstring`.
